Subject: Re: [PATCH 1/6] Start split out of common open firmware code

From: Segher Boessenkool <[email-masked]>
Date: Wed, 25 Apr 2007 03:03:31 +0200

> Dave, no need to shout :-) I think it's pretty well agreed that
> Stephen's patches are good to go (unless nits I haven't seen), we are
> really just discussing what we should do on top of them.

Yes.  And I dare say that we should agree that certain
fixes *should* go on top or this consolidation shouldn't
happen at all -- at least not as a consolidation to a
"generic" OF layer.  For example, the OLPC device tree / OF
kernel efforts would be dead in the water if we cannot
have a *proper* "#address-cells" parser.

Again, I have *nothing* against Stephen's patches, I find
them quite nice actually.  It's just that if this stuff
gets moved to a "for all archs" layer, some "design
qualms" need to be cleared up; either that, or we'll
end up with the OF analogue to an MSI layer that only
ever can work on intel compatible platforms.

Segher